#ifdef __cplusplus
	extern "C" {
#endif

int i8012W_Read_ADRaw(int slot,int chcnt,int gain,short hval[]);
short i8012W_SetGainOffset(short slot,short ch,short Gain,unsigned short GainValue, short offsetValue);
short i8012W_SetDefaultGainOffset(short slot,short ch,short Gain,unsigned short GainValue, short offsetValue);
short i8012W_ReadDefaultGainOffset(short slot,short ch,short Gain,unsigned short* GainValue, short* offsetValue);
short i8012W_SetUserDate(int slot,short year, short month, short day);
short i8012W_ReadUserDate(int slot,short* year, short* month, short* day);
short i8012W_SetDefaultDate(int slot,short year, short month, short day);
short i8012W_ReadDefaultDate(int slot,short* year, short* month, short* day);
static int EE8K_RandomWrite(short slot,int Block,unsigned Addr,int Data);
static int EE8K_RandomRead(short slot,int Block,unsigned Addr);
static void EE8K_WriteEnable(short slot);
static void EE8K_WriteProtect(short slot);

#ifdef __cplusplus
 	}
#endif
